# Exakt Cast

Cast is a lightweight, powerful utility designed to enable actuaries, data scientists, and pricing professionals to easily run analytical queries on local CSV and Parquet files. Built on top of DuckDB, this tool allows users to leverage SQL-like queries for rapid exploration and analysis of their data without requiring a complex database setup.

## Features
**Query Local Files**: Run SQL queries directly on CSV and Parquet files stored locally.

**Ease of Use**: Simple streamlit webapp to run and manage your queries on.

**Blazing Fast Analytics**: Powered by DuckDB, optimized for analytical queries on large datasets.

**Lightweight**: No database setup or configuration required—just point to your files and start querying.


**Extensibility**: Designed for pricing and actuarial workflows but flexible enough for general-purpose analytics.

## Who Should Use This?
This tool is perfect for:

**Actuaries**: Quickly explore insurance data, summarize portfolios, and validate assumptions.

**Data Scientists**: Perform ad-hoc analysis on datasets without loading them into a database.

**Pricing Professionals**: Join, clean and analyze datasets that can be used in your pricing models.

## Installation
Install the package using pip:

```
pip install exakt
```

## Usage

Open up a terminal window or command prompt and type in:

```
cast
```

This should open up a webrowser instance, with cast open.
